import * as React from 'react';
interface Props {
    children: React.ReactElement<any>;
    clientId: string;
    metadata: any;
    hideChat: boolean;
    product: string;
    country: string;
    style: string;
}
interface State {
    hasError: boolean;
    loadingStatus: string;
    errorElement: any;
}
export declare class ReactMati extends React.Component<Props, State> {
    static defaultProps: Partial<Props>;
    matiButton: React.RefObject<any>;
    state: {
        hasError: boolean;
        loadingStatus: string;
        errorElement: undefined;
    };
    constructor(props: Props);
    componentDidCatch(error: any, info: any): void;
    onLoad: () => void;
    onError: () => void;
    render(): JSX.Element;
}
export default ReactMati;
